cURL
curl https://api.neuraldraft.io/v1/openapi.json > openapi.jsonconst res = await fetch("https://api.neuraldraft.io/v1/openapi.json");
const spec = await res.json();
import requests, json
spec = requests.get("https://api.neuraldraft.io/v1/openapi.json").json()
<?php
$spec = json_decode(file_get_contents('https://api.neuraldraft.io/v1/openapi.json'), true);
{}{
"type": "https://api.neuraldraft.io/errors/not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource.",
"code": "not_found",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/service_unavailable",
"title": "Service unavailable",
"status": 503,
"detail": "A required upstream service is temporarily unavailable. Retry in 5 seconds.",
"code": "service_unavailable",
"instance": "req_2Nh4PqRsTuVw"
}Health
Serve this OpenAPI document
Returns the live OpenAPI 3.1 document. SDK generators and Mintlify
fetch this at build time. Identical to the openapi.yaml checked into
the repository, but always reflects the deployed contract.
GET
/
openapi.json
cURL
curl https://api.neuraldraft.io/v1/openapi.json > openapi.jsonconst res = await fetch("https://api.neuraldraft.io/v1/openapi.json");
const spec = await res.json();
import requests, json
spec = requests.get("https://api.neuraldraft.io/v1/openapi.json").json()
<?php
$spec = json_decode(file_get_contents('https://api.neuraldraft.io/v1/openapi.json'), true);
{}{
"type": "https://api.neuraldraft.io/errors/not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource.",
"code": "not_found",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/service_unavailable",
"title": "Service unavailable",
"status": 503,
"detail": "A required upstream service is temporarily unavailable. Retry in 5 seconds.",
"code": "service_unavailable",
"instance": "req_2Nh4PqRsTuVw"
}Response
The OpenAPI document.
The response is of type object.